Skip to content
FFastPay Docs

Products

Update a product

PATCH/api/v1/products/{productID}

Send only what changes. Send null for stock, sale_price_minor or category_id to clear it.

AuthorizationBearer sk_test_… or sk_live_…

Path parameters#

  • productIDuuidRequired

Body parameters#

  • category_iduuidOptional
  • delivery_notestringOptional

    Up to 1000 characters.

  • descriptionstringOptional

    Up to 2000 characters.

  • fulfillmentstringOptional

    One of shipping, pickup, shipping_or_pickup.

  • namestringOptional

    Up to 120 characters.

  • price_minorintegerOptional

    At least 1.

  • sale_price_minorintegerOptional

    At least 1.

  • shipping_notestringOptional

    Up to 300 characters.

  • statusstringOptional

    One of active, draft, archived.

  • stockintegerOptional

    At least 0.

  • tagsarray of stringOptional

Responses#

  • 200The product
  • 401The secret key is missing, invalid or revoked.
  • 403The key is not allowed to do this, or the request came from an address that is not on its allowlist.
  • 404Nothing was found for this business and mode.
  • 422A field is missing or not valid.